Bug 565269 - freefem++ - Violation of packaging guidelines: MPI
Summary: freefem++ - Violation of packaging guidelines: MPI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freefem++
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-14 08:56 UTC by Susi Lehtola
Modified: 2013-12-17 19:14 UTC (History)
2 users (show)

Fixed In Version: freefem++-3.26-1.2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-17 19:14:19 UTC


Attachments (Terms of Use)

Description Susi Lehtola 2010-02-14 08:56:37 UTC
Freefem++ contains MPI enabled stuff, but the package does not comply to the MPI packaging guidelines
 http://fedoraproject.org/wiki/PackagingDrafts/MPI
that were approved by FESCo in August
 http://meetbot.fedoraproject.org/fedora-meeting/2009-08-14/fedora-meeting.2009-08-14-17.01.html

Please adjust the package naming and add support for other compilers.

Comment 1 Dominik 'Rathann' Mierzejewski 2010-02-25 22:33:57 UTC
Could you help me with this? A patch against the specfile would be very welcome.

Comment 2 Susi Lehtola 2010-02-27 18:52:53 UTC
I'm traveling and won't probably have time at least until April.

You most likely need to separate the build directories, look e.g. at pypar or gromacs for an example.

Comment 3 Bug Zapper 2010-03-15 15:00:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Dominik 'Rathann' Mierzejewski 2010-11-15 19:39:16 UTC
I still need help. I'll try to handle this on my own, but it's not high on my TODO list.

Comment 5 Susi Lehtola 2010-11-15 21:22:44 UTC
Yeah, I'll try to squeeze in some time to look at this.

Comment 6 Fedora End Of Life 2013-04-03 18:32:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Susi Lehtola 2013-07-21 21:18:20 UTC
Well, that took some time lol.

Anyway, I've done the bulk of the work in rawhide. I'm not familiar with the package, so you might want to check if the MPI libraries can be placed somewhere better (i.e., in a subdirectory). The names are so general (MPICG and so on) that there is a possibility of a name clash.

Comment 8 Fedora Update System 2013-12-01 23:30:26 UTC
freefem++-3.26-1.2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freefem++-3.26-1.2.fc20

Comment 9 Fedora Update System 2013-12-02 23:52:34 UTC
Package freefem++-3.26-1.2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freefem++-3.26-1.2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22561/freefem++-3.26-1.2.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-12-17 19:14:19 UTC
freefem++-3.26-1.2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.